Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.spc	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.spc	(revision 2696)
@@ -0,0 +1,99 @@
+#include atoms
+
+#DEFVAR                  
+    NO		= N + O;     
+    NO2		= N + 2O;   
+    HNO3	= H + N + 3O;   
+    NH3		= N + 3H;    
+    SO2		= S + 2O;    
+    SO4		= S + 4O;            
+    O3		= 3O;     
+    CH4		= C + 4H;   
+    C2H6	= 2C + 6H;   
+    C3H8	= 3C + 8H;   
+    ALKA	= 			IGNORE;   
+    ETHE	= 			IGNORE;             
+    ALKE	= 			IGNORE;   
+    AROM	= 			IGNORE;  
+    ACO2	= 2H + C + 2O; 			{ HCOOH }   
+    ACTA	= 2C + 4H + 2O; 		{ CH3COOH }
+    HCHO	= 2H + C + O;   
+    ALD2	= 			IGNORE;  
+    H2O2	= 2H + 2O;   
+    ROOH	= 			IGNORE;   
+    HONO	= H + 2O + N;   
+    PAN		= 2C + 3H + 5O + N;		{ CH3CO3NO2 }       
+    TPAN	= 4C + 3H + 6O + N;		{ CHOCH=CHCO3NO2 }   
+    KET		= 			IGNORE;   
+    CRES	= 			IGNORE;   
+    DIAL	= 			IGNORE;   
+    GLYX	= 2C + 2H + 2O;			{ CHOCHO }   
+    MGLY	= 3C + 4H + 2O; 	 	{ CH3COCHO }            
+    NH4NO3	= 2N + 4H + 3O;         	{ or AMNT }
+    HCL		= H + Cl;   
+    R3N2	= N + IGNORE;   
+    RAN1	= N + IGNORE;   
+    RAN2	= N + IGNORE;   
+    N2O5	= 2N + 5O;             
+    HNO4	= H + N + 4O;   
+    NO3		= N + 3O;   
+    ISOP	= 			IGNORE;   
+    MVK		= 			IGNORE;    
+    MACR	= 			IGNORE;   
+    HAC		= 			IGNORE;              
+    MGGY	= 			IGNORE;   
+    MPAN	= N + IGNORE;  
+    IPAN	= N + IGNORE;   
+    INO2	= N + IGNORE;   
+    MAN2	= N + IGNORE;   
+    MVN2	= N + IGNORE;             
+    MACA	= 			IGNORE;   
+    PYVA	= 			IGNORE;  
+    DOL6	= 			IGNORE;   
+    DOL7	= 			IGNORE;   
+    DOL8	= 			IGNORE;   
+    CPET	= 			IGNORE;             
+    CHEX	= 			IGNORE;   
+    SUCA	= 			IGNORE;  
+    GLUA	= 			IGNORE;   
+    ADIA	= 			IGNORE;                                   
+    PRN2	= 2N + IGNORE;   
+    PRPN	= N + IGNORE;  
+    OZID	= 			IGNORE;   
+    DMS		= 2C + 6H + S; 			{ CH3-S-CH3 }   
+    MSA		= S + IGNORE; 
+    CO		= C + O;      
+
+#DEFRAD                                                  
+    OH		= O + H;      
+    HO2		= H + 2O;                        
+    AHO2	= 3H + 3O + C; 			{ HOCH2O2 }    
+    MCO3	= 2C + 3H + 3O; 		{ CH3CO2 }   
+    MO2		= C + 3H + 2O;			{ CH3O2 }     
+    ETO2	= 2C + 5H + 2O;			{ C2H5O2 }   
+    KO2		= 			IGNORE;                        
+    R3O2	= 			IGNORE;    
+    RAO2	= 			IGNORE;   
+    TO2		= 			IGNORE;     
+    TCO3	= 4C + 3H + 4O; 		{ CHOCH=CHCO3 }  
+    ZO2		= 			IGNORE;                        
+    EO2		= 			IGNORE;     
+    PO2		= 			IGNORE;    
+    CHO2	= C + 2H + 2O;			{ CH2O2 }    
+    CRO2	= 2C + 4H + 2O;			{ CH3CHO2 }   
+    PRN1	= N + IGNORE;                       
+    RIO2	= 			IGNORE;    
+    VRO2	= 			IGNORE;   
+    MAO3	= 			IGNORE;    
+    MRO2	= 			IGNORE;   
+    HACO	= 			IGNORE;                       
+    MAOO	= 			IGNORE;    
+    MCRG	= 			IGNORE;   
+    MVKO	= 			IGNORE;                                             
+
+#DEFFIX
+    O2		= 2O;      
+    H2O		= H + 2O;    
+    CO2		= C + 2O;    
+    H2		= 2H;
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.def	(revision 2696)
@@ -0,0 +1,109 @@
+#include wet.spc
+#include wet.eqn
+
+{#LANGUAGE Fortran77
+#INTEGRATOR rodas3
+#DRIVER general}
+
+#LOOKATALL
+
+#MONITOR O3;
+
+#INITVALUES
+  CFACTOR = 2.55E+10; {ppb-to-mcm}
+  ALL_SPEC= 1.0E-10;
+{Variable species}
+  NO2        = 0.5 ;
+  NO         = 0.2 ; 
+  O3         = 60.0 ;
+  HNO3       = 1.6594E-06 ;
+  HNO2       = 8.4898E-03 ;
+  H2O2       = 1.5 ;
+  CO         = 200 ;
+  HCHO       = 1.0 ;
+  ALD2       = 0.1 {3.2067E-02} ;
+  PAN        = 0.1 {1.5022E-02} ;
+  MGLY       = 7.3500E-03 ;
+  PAR        = 1.2 ;
+  OLE        = 6.6095E-03 ;
+  ETH        = 1.0 {2.4286E-02} ;
+  TOL        = 3.0184E-02 ;
+  CRES       = 6.4171E-03 ;
+  XYL        = 2.0E-02 ;
+  ROOH       = 7.0E-02 ;
+  SO2        = 3.3371E-02 ;
+  PNA        = 1.6736E-02 ;
+  OPEN       = 1.0E-03 ;
+  ISOP       = 1.0 ;
+  HONO       = 1.0E-3 ;
+  NO3        = 5.0E-05 ;
+  OH         = 6.0E-04 ;
+  HO2        = 2.8900E-02 ;
+  N2O5       = 4.6513E-05 ;
+  C2O3       = 6.1457E-05 ;
+  XO2        = 6.2020E-03 ;
+  XO2N       = 4.0E-3 ;
+  ROR        = 4.2461E-09 ;
+  TO2        = 8.6120E-07 ;
+  NH3        = 1.3637E-02 ;
+  CRO        = 3.1320E-06 ;
+  H2O        = 1.35e+7 ;
+  O2         = 2.1E+8 ;
+  CH4        = 1.7E+3 ;
+  CO2aq      = 3.0E-1 ;
+  HO2aq      = 4.2400E-04 ;
+  H2O2aq     = 9.6683E-01 ;
+  O3aq       = 4.8688E-06 ;
+  HCHOaq     = 2.0245E-02 ;
+  HCOOH      = 0.2 ;
+  HCOOHaq    = 2.0180E-03 ;
+  CH3O2Haq   = 1.1101E-04 ;
+  CH3O2aq    = 9.0994E-05 ;
+  HNO3aq     = 2.5563E-06 ;
+  NO3aq      = 5.2533E-09 ;
+  NH3aq      = 5.8021E-06 ;
+  SO2aq      = 3.0071E-07 ;
+  OHaq       = 4.0141E-05 ;
+  H2Oaq      = 4.3638E+05 ;
+  HPLUSaq    = 1.9654E-01 ;
+  OHaq       = 3.1392E-06 ;
+  HCOOMINaq  = 3.6325E-03 ;
+  O2MINaq    = 6.7840E-05 ;
+  HSO3MINaq  = 5.1188E-05 ;
+  SO32MINaq  = 3.4183E-08 ;
+  NH4aq      = 9.8636E-01 ;
+  NO3aq      = 3.9367E-01 ;
+  FE3PLUSaq  = 7.8548E-03 ;
+  FE2PLUSaq  = 3.1419E-02 ;
+  SO42MINaq  = 2.3564E+00 ;
+  CU2PLUSaq  = 2.1601E-04 ;
+
+#INLINE F77_INIT
+        TSTART = 12.D0*3600.D0
+        TEND = TSTART + 24.D0*3600.D0 * 5
+        DT = 3600.D0
+        TEMP = 288.15
+#ENDINLINE
+
+#INLINE F90_INIT
+        TSTART = 12.D0*3600.D0
+        TEND = TSTART + 24.D0*3600.D0 * 5
+        DT = 3600.D0
+        TEMP = 288.15
+#ENDINLINE
+
+#INLINE MATLAB_INIT
+  global TSTART TEND DT TEMP
+  TSTART = 12.0*3600.0;
+  TEND = TSTART + 24.0*3600.0*5;
+  DT = 3600.0;
+  TEMP = 288.15;
+#ENDINLINE
+
+#INLINE C_INIT
+  TSTART = 12.0*3600.0;
+  TEND = TSTART + 24.0*3600.0*5;
+  DT = 3600.0;
+  TEMP = 288.15;
+#ENDINLINE
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.eqn	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.eqn	(revision 2696)
@@ -0,0 +1,233 @@
+#EQUATIONS
+{ 1.} NO2 + hv =  NO + O              :  8.89E-3*SUN ;
+{ 2.} O {+ O2 + M} = O3               :  ARR2(1.4E+3, 1175.0) ;
+{ 3.} O3 + NO = NO2                   :  ARR2(1.8E-12, -1370.0) ;
+{ 4.} O + NO2 = NO                    :  9.3E-12 ;
+{ 5.} O + NO2   = NO3                 :  ARR2(1.6E-13, 687.0) ;
+{ 6.} O + NO   =  NO2                 :  ARR2(2.2E-13, 602.0) ;
+{ 7.} O3 + NO2 =  NO3                 :  ARR2(1.2E-13, -2450.0) ;
+{ 8.} O3 + hv = O                     :  4.0E-2*RCONST(1) ;
+{ 9.} O3 + hv = O1D                   :  2.8E-3*RCONST(1) ;
+{10.} O1D   = O                       :  ARR2(1.9E+8, 390.0)  ;
+
+{11.} O1D + H2O = 2OH                 :  2.2E-10 ;
+{12.} O3 + OH = HO2                   :  ARR2(1.6E-12, -940.0) ;
+{13.} O3 + HO2 = OH                   :  ARR2(1.4E-14, -580.0) ;
+{14.} NO3 + hv = 0.89 NO2 + 0.89 O 
+                 + 0.11 NO            :  15.5*RCONST(1)  ;
+{15.} NO3 + NO = 2 NO2                :  ARR2(1.3E-11, 250.0) ;
+{16.} NO3 + NO2 = NO + NO2            :  ARR2(2.5E-14, -1230.0) ;
+{17.} NO3 + NO2   =  N2O5             :  ARR2(5.3E-13, 256.0) ;
+{18.} N2O5 + H2O = 2 HNO3             :  1.3E-21 ;
+{19.} N2O5   =  NO3 + NO2             :  ARR2(3.5E+14, -10897.0) ;
+{20.} 2 NO  =  2 NO2                  :  ARR2(1.8E-20, 530.0) ;
+
+
+{21.} NO + NO2 + H2O = 2 HONO         :  4.4E-40 ;
+{22.} OH + NO   =  HONO               :  ARR2(4.5E-13, 806.0) ;
+{23.} HONO + hv =  OH + NO            :  0.17*RCONST(1) ;
+{24.} OH + HONO =  NO2                :  6.6E-12 ;
+{25.} 2 HONO = NO + NO2               :  1.0E-20 ;
+{26.} OH + NO2   =  HNO3              :  ARR2(1.0E-12, 713.0) ;
+{27.} OH + HNO3   =  NO3              :  ARR2(5.1E-15, 1000.0) ;
+{28.} HO2 + NO = OH + NO2             :  ARR2(3.7E-12, 240.0) ;
+{29.} HO2 + NO2   =  PNA              :  ARR2(1.2E-13, 749.0) ;
+{30.} PNA   = HO2 + NO2               :  ARR2(4.8E+13, -10121.0) ;
+
+{31.} OH + PNA = NO2                  :  ARR2(1.3E-12, 380.0) ;
+{32.} 2 HO2 = H2O2                    :  ARR2(5.9E-14, 1150.0)  ;
+{33.} 2 HO2 + H2O = H2O2              :  ARR2(2.2E-38, 5800.0) ;
+{34.} H2O2 + hv = 2 OH                :  7.1E-4*RCONST(1) ;
+{35.} OH + H2O2 = HO2                 :  ARR2(3.1E-12, -187.0) ;
+{36.} OH + CO  = HO2                  :  2.2E-13 ;
+{37.} HCHO + OH  =  HO2 + CO    :  1.0E-11 ;
+{38.} HCHO + hv {+ 2 O2} = 2 HO2 + CO :  3.2E-3*RCONST(1) ;
+{39.} HCHO +  hv = CO                 :  4.2E-3*RCONST(1) ;
+{40.} HCHO + O = OH + HO2 + CO        :  ARR2(3.0E-11, -1550.0) ;
+
+{41.} HCHO + NO3  = HNO3 
+                        + HO2 + CO    :  6.3E-16 ;
+{42.} ALD2 + O  =  C2O3 + OH          :  ARR2(1.2E-11, -986.0) ;
+{43.} ALD2 + OH = C2O3                :  ARR2(7.0E-12, 250.0) ;
+{44.} ALD2 + NO3  = C2O3 + HNO3 :  2.5E-15  ;
+{45.} ALD2 + hv {+ 2 O2} = HCHO + XO2 
+                         + CO + 2 HO2 :  4.5E-4*RCONST(1) ;
+{46.} C2O3 + NO  = HCHO + XO2 
+                       + HO2 + NO2    :  ARR2(5.4E-12, 250.0) ;
+{47.} C2O3 + NO2 = PAN                :  ARR2(8.0E-20, 5500.0) ;
+{48.} PAN = C2O3 + NO2                :  ARR2(9.4E+16, -14000.0) ;
+{49.} 2 C2O3 = 2 HCHO + 2 XO2 + 2 HO2 : 2.0E-12  ;
+{50.} C2O3 + HO2 = 0.79 HCHO 
+   + 0.79 XO2 + 0.79 HO2 + 0.79 OH    :  6.5E-12 ;
+
+{51.} OH = HCHO + XO2 + HO2           :  ARR2(1.1E+2, -1710.0) ;
+{52.} PAR + OH =  0.87 XO2 + 0.13 XO2N 
+                  + 0.11 HO2 + 0.11 ALD2
+                  + 0.76 ROR - 0.11 PAR        :  8.1E-13 ;
+{53.} ROR = 1.1 ALD2 + 0.96 XO2 + 0.94 HO2 + 0.04 XO2N
+            + 0.02 ROR - 2.10 PAR     :  ARR2(1.0E+15, -8000.0) ;
+{54.} ROR = HO2                       :  1.6E+3 ;
+{55.} ROR + NO2 =  PROD               : 1.5E-11  ;
+{56.} O + OLE = 0.63 ALD2 + 0.38 HO2 
+                + 0.28 XO2 + 0.3 CO
+                + 0.2 HCHO + 0.02 XO2N 
+                + 0.22 PAR + 0.2 OH   :  ARR2(1.2E-11, -324.0) ;
+{57.} OH + OLE = HCHO + ALD2 + XO2 
+                 + HO2 - PAR          :  ARR2(5.2E-12, 504.0) ;
+{58.} O3 + OLE = 0.5 ALD2 + 0.74 HCHO 
+                 + 0.33 CO + 0.44 HO2 
+                 + 0.22 XO2
+                 + 0.1 OH - PAR       :   ARR2(1.4E-14, -2105.0)  ;
+{59.} NO3 + OLE = 0.91 XO2 + HCHO 
+                  + ALD2 + 0.09 XO2N                          
+                  + NO2 - PAR         :  7.7E-15 ;
+{60.} O + ETH = HCHO + 0.7 XO2 + CO + 1.7 HO2 + 0.3 OH    :  ARR2(1.0E-11, -792.0) ;
+
+{61.} OH + ETH = XO2 + 1.56 HCHO + HO2 + 0.22 ALD2        :  ARR2(2.0E-12, 411.0)  ;
+{62.} O3 + ETH = HCHO + 0.42 CO + 0.12 HO2                :  ARR2(1.3E-14, -2633.0) ;
+{63.} OH + TOL = 0.08 XO2 + 0.36 CRES 
+                 + 0.44 HO2 + 0.56 TO2                    :  ARR2(2.1E-12, 322.0) ;
+{64.} TO2 + NO =  0.9 NO2 + 0.9 OPEN + 0.9 HO2            :  8.1E-12 ;
+{65.} TO2 = HO2 + CRES                                    :  4.2 ;
+{66.} OH + CRES = 0.4 CRO + 0.6 XO2 + 0.6 HO2 + 0.3 OPEN  :  4.1E-11  ;
+{67.} NO3 + CRES = CRO + HNO3                             :  2.2E-11 ;
+{68.} CRO + NO2 = PROD                                    :  1.4E-11 ;
+{69.} OH + XYL = 0.7 HO2 + 0.5 XO2 + 0.2 CRES + 0.8 MGLY
+                 + 1.10 PAR + 0.3 TO2                     :  ARR2(1.7E-11, 116.0) ;
+{70.} OH + OPEN = XO2 + C2O3 + 2 HO2 + 2 CO + HCHO        :  3.0E-11 ;
+
+{71.} OPEN + hv = C2O3 + CO + HO2                         :  6.0E-3*RCONST(1) ;
+{72.} O3 + OPEN = 0.03 ALD2 + 0.62 C2O3 
+                  + 0.7 HCHO + 0.03 XO2 + 0.69 CO 
+                  + 0.08 OH + 0.76 HO2 + 0.2 MGLY         : ARR2(5.4E-17, -500.0)  ;
+{73.} OH + MGLY =  XO2 + C2O3                             : 1.7E-11 ;
+{74.} MGLY + hv = C2O3 + CO + HO2                         : 1.86E-2*RCONST(1)  ;
+{75.} O + ISOP =  0.6 HO2 + 0.8 ALD2 + 0.55 OLE + 0.5 XO2
+                  + 0.5 CO + 0.45 ETH + 0.9 PAR           :   1.8E-11  ;
+{76.} OH + ISOP = HCHO + XO2 + 0.67 HO2 
+                  + 0.4 MGLY + 0.2 C2O3
+                  + ETH + 0.2 ALD2 + 0.13 XO2N            :   9.6E-11  ;
+{77.} O3 + ISOP = HCHO + 0.4 ALD2 + 0.55 ETH + 0.2 MGLY 
+                  + 0.06 CO + 0.1 PAR + 0.44 HO2 + 0.1 OH :  1.2E-17 ;
+{78.} NO3 + ISOP =  XO2N                                  :  3.2E-13 ;
+{79.} XO2 + NO = NO2                                      :  8.1E-12 ;
+{80.} 2 XO2 =  PROD                                       :  ARR2(1.7E-14, 1300.0) ;
+{81.} XO2N + NO =  PROD                                   :  6.8E-13 ;
+ 
+{62/RG71}      SO2  + OH  = HO2  + PROD  :           1.0870e-12 ;
+{63/RG72}      SO2  = PROD  :                        1.3833e-06 ;
+
+{Methane and Methylperoxyl Radical Reactions}
+{}  CH4 + OH = CH3O2      :                        ARR2(2.4E-12,-1710.0) ;
+{}  CH3O2 + NO = CH3O + NO2 :                      ARR2(4.15E-12,180.0)  ;
+{}  CH3O2 + HO2 = PROD :                           ARR2(1.7E-13,1000.0) ;
+{}  2 CH3O2 = 0.76 CH3O + 0.62 HCHO + PROD :       ARR2(1.62E-13, 220.0) ;
+{}  CH3O + O2 = HCHO + HO2 :                       ARR2(7.12E-14,-1080.0);
+
+{82/RE21}      HO2  = HO2aq :                        3.3000e-01 ;
+{83/RE22}      HO2aq = HO2 :                         2.2492e+01 ;   
+{84/RE31}      H2O2  = H2O2aq  :                     3.3000e-01 ;     
+{85/RE32}      H2O2aq = H2O2  :                      6.0790e-01 ;     
+{86/RE41}      O3  = O3aq :                          1.0500e-02 ;        
+{87/RE42}      O3aq = O3  :                          1.3012e+05 ;       
+{88/RE51}      HCHO  = HCHOaq :                      2.4000e-01 ; 
+{89/RE52}      HCHOaq = HCHO :                       5.1931e+00 ;  
+{90/RE61}      HCOOH  = HCOOHaq  :                   2.4000e-01 ;       
+{91/RE62}      HCOOHaq = HCOOH :                     8.8422e+00 ;        
+{92/RE71}      ROOH  = CH3O2Haq :                    2.4000e-01 ;    
+{93/RE72}      CH3O2Haq = ROOH  :                    1.4871e+02 ;   
+{94/RE81}      XO2  = CH3O2aq :                      2.4000e-01 ;   
+{95/RE82}      CH3O2aq = XO2  :                      1.6358e+01 ;  
+{96/RE91}      HNO3  = HNO3aq  :                     2.4000e-01 ;  
+{97/RE92}      HNO3aq = HNO3  :                      1.5579e-01 ;  
+{98/RE101}     NO3  = NO3aq  :                       2.4000e-01 ;  
+{99/RE102}     NO3aq = NO3 :                         2.1811e+03 ;   
+{100/RE111}    NH3  = NH3aq :                        2.4000e-01 ; 
+{101/RE112}    NH3aq = NH3  :                        4.3622e+02 ;
+{102/RE121}    SO2  = SO2aq :                        2.4000e-01 ;         
+{103/RE122}    SO2aq = SO2 :                         2.6599e+04 ;         
+{104/RE131}    OH  = OHaq :                          2.4000e-01 ;         
+{105/RE132}    OHaq = OH  :                          3.6351e+00 ;        
+{106/RE141}    N2O5  = HNO3aq + HNO3aq :             7.5000e-02 ;
+{107/RE151}    H2Oaq = HPLUSaq + OHMINaq   :         2.3636e-05 ; 
+{108/RE152}    HPLUSaq + OHMINaq = H2Oaq  :          7.1958e-04 ; 
+{109/RE171}    HCOOHaq = HPLUSaq + HCOOMINaq  :      8.6000e+06 ;   
+{110/RE172}    HPLUSaq + HCOOMINaq = HCOOHaq  :      2.6016e-04 ;  
+{111/RE181}    HO2aq = HPLUSaq + O2MINaq :           1.6000e+05 ;      
+{112/RE182}    HPLUSaq + O2MINaq = HO2aq  :          5.5353e-05 ;    
+{113/RE191}    SO2aq = HSO3MINaq + HPLUSaq :         3.6000e+06 ;  
+{114/RE192}    HSO3MINaq + HPLUSaq = SO2aq  :        1.6606e-06 ;
+{115/RE201}    HSO3MINaq = SO32MINaq + HPLUSaq  :    1.0000e+04 ;   
+{116/RE202}    SO32MINaq + HPLUSaq = HSO3MINaq  :    8.3029e-04 ;  
+{117/RE211}    NH3aq = NH4aq + OHMINaq  :            6.0000e+05 ;     
+{118/RE212}    NH4aq + OHMINaq = NH3aq :             1.8820e-04 ;     
+{119/RE221}    HNO3aq = NO3MINaq + HPLUSaq :         2.2000e+09 ;    
+{120/RE222}    NO3MINaq + HPLUSaq = HNO3aq  :        7.7494e-07 ;  
+
+{121/RW01}      FE3PLUSaq = FE2PLUSaq + OHaq :       0.4583E-03  ; 
+{122/RW02}      H2O2aq = OHaq + OHaq :               0.7219E-05 ;         
+{123/RW03 }     HCHOaq + OHaq = HCOOHaq 
+                      + HO2aq + H2Oaq :              0.1107E-04  ;   
+{124/RW05}      HCOOMINaq + OHaq = O2MINaq + CO2aq : 0.1771E-04  ;   
+{125/RW06}      HCOOHaq + OHaq = O2MINaq 
+                    + HPLUSaq + CO2aq :              0.7196E-06  ; 
+{126/RW07}      HSO3MINaq + OHaq = SO42MINaq + HPLUSaq :  0.2491E-04  ;  
+{127/RW08}      HMSAaq + OHaq = SO42MINaq 
+                      + HCHOaq + HPLUSaq :            0.5535E-05  ;
+{128/RW09}      FE2PLUSaq + OHaq = FE3PLUSaq
+                      + OHMINaq:                      0.2380E-05  ;
+{129/RW10}      H2O2aq + OHaq = H2Oaq + HO2aq  :      0.1495E-06  ;      
+{130/RW11}      O3aq + OHaq = HO2aq  :                0.1661E-04  ;             
+
+{131/RW13}      O2MINaq + FE2PLUSaq = FE3PLUSaq
+                     + H2O2aq + OHMINaq + OHMINaq :   0.5535E-07  ;
+{132/RW14}      O2MINaq + FE3PLUSaq = FE2PLUSaq :     0.8303E-06  ;                      
+{133/RW15}      O2MINaq + CUPLUSaq = CU2PLUSaq 
+                  + H2O2aq + OHMINaq + OHMINaq :      0.4982E-04 ;
+{134/RW16}      O2MINaq + CU2PLUSaq = CUPLUSaq  :     0.4428E-04 ;                    
+{135/RW17}      O2MINaq + O3aq = OHaq + OHMINaq  :    0.8303E-05 ;                    
+{136/RW18}      HO2aq   + FE2PLUSaq = FE3PLUSaq 
+                    + H2O2aq + OHMINaq   :            0.6642E-08  ;   
+{137/RW19}      HO2aq + FE3PLUSaq = FE2PLUSaq + HPLUSaq : 0.5535E-10  ;              
+{138/RW20}      HO2aq + CUPLUSaq = CU2PLUSaq 
+                    + H2O2aq + OHMINaq  :             0.5535E-05 ;   
+{139/RW21}      HO2aq + CU2PLUSaq = CUPLUSaq + HPLUSaq :  0.2768E-06  ;              
+{140/RW22}      H2O2aq  + HSO3MINaq = SO42MINaq 
+                    + H2Oaq + HPLUSaq  :              0.5535E-14  ;    
+{141/RW23}      H2O2aq  + FE2PLUSaq = FE3PLUSaq 
+                   + OHaq + OHMINaq :                 0.5535E-14  ; 
+{142/RW24}      H2O2aq  + CUPLUSaq = CU2PLUSaq 
+                   + OHaq + OHMINaq  :                0.2214E-08  ;
+{143/RW25}      CUPLUSaq = CU2PLUSaq + O2MINaq :      0.2500E-03  ;            
+{144/RW26}      CUPLUSaq + FE3PLUSaq = CU2PLUSaq 
+                   + FE2PLUSaq :                      0.1661E-06 ;
+{145/RW27}      CUPLUSaq + O3aq = CU2PLUSaq
+                   + OHaq + OHMINaq :                 0.5535E-07  ;
+{146/RW28}      FE2PLUSaq + O3aq = FE3PLUSaq 
+                   + OHaq + OHMINaq :                 0.4539E-08  ;
+{147/RW29}      FE3PLUSaq + HSO3MINaq = FE2PLUSaq 
+                      + SO42MINaq + HPLUSaq  :        0.5535E-14  ;
+{148/RW30}      O3aq + HSO3MINaq = SO42MINaq + HPLUSaq  : 0.1716E-08  ;              
+{149/RW31}      O3aq + SO32MINaq = SO42MINaq  :       0.5535E-05  ;                 
+{150/RW32}      O3aq = H2O2aq  :                      0.2355E-04  ;          
+{151/RW34}      HO2aq + O2MINaq = H2O2aq + OHMINaq :  0.5535E-06  ;            
+{152/RW35}      HO2aq + HO2aq = H2O2aq  :             0.4594E-08  ;                    
+{153/RW39}      SO32MINaq + HCHOaq = HMSAaq 
+                     + OHMINaq  :                     0.1384E-06  ;      
+{154/RW40}      HMSAaq + OHMINaq = SO32MINaq 
+                     + HCHOaq :                       0.1993E-10  ;      
+{155/RW42}      CH3O2aq + O2MINaq = CH3O2Haq 
+                     + OHMINaq  :                     0.2768E-06  ;   
+{156/RW43}      CH3O2Haq + OHaq = CH3O2aq + H2Oaq  :  0.1495E-06  ;       
+{157/RW44}      CH3O2Haq + OHaq = HCHOaq + OHaq  :    0.1052E-06  ; 
+
+{CO2 reactions}
+CO2aq = HPLUSaq + HCO3MINaq :  1.0E-4 ;
+HPLUSaq + HCO3MINaq = CO2aq :  1.2178E-12 ;
+
+{CO2aq + H2Oaq = H2CO3aq :                    0*3.0E-2 ;
+H2CO3aq = CO2aq + H2Oaq :                     0*1.19E+1 ;
+H2CO3aq = HPLUSaq + HCO3MINaq :             0*8.0E+6  ;
+HPLUSaq + HCO3MINaq = H2CO3aq :             0*4.7E+10 ;
+HPLUSaq + HCO3MINaq  = CO2aq :              0*1.5E+4 ; 
+CO2aq  + H2Oaq = HPLUSaq + HCO3MINaq :      0*1.0E-2 ;} 
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.spc	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/wet.spc	(revision 2696)
@@ -0,0 +1,87 @@
+#include atoms
+
+#DEFVAR
+    NO          = N + O ;       {nitric oxide}
+    NO2         = N + 2O ;      {nitrogen dioxide}
+    NO3         = N + 3O ;      {nitrogen trioxide}
+    N2O5        = 2N + 5O ;     {dinitrogen pentoxide}
+    HONO        = H + 2O + N ;  {nitrous acid}
+    HNO3        = H + N + 3O ;  { nitric acid }
+    PNA         = H + 4 O + N ; {HO2NO2 peroxynitric acid}
+    O1D         = O ;           {oxygen atomic first singlet state}
+    O           = O ;           {oxygen atomic ground state (3P)}
+    OH          = O + H ;       {hydroxyl radical}
+    O3          = 3O ;          {ozone}
+    HO2         = H + 2O ;      {perhydroxyl radical}
+    H2O2        = 2H + 2O ;     {hydrogen peroxide}
+    HCHO        = C + 2H + O ;  {formalydehyde}
+    ALD2        = IGNORE ;      {high molecular weight aldehides}
+    C2O3        = 2C + 3H + 3O ; {CH3CO(O)OO peroxyacyl radical}
+    PAN         = 2C + 3H + 5O + N ; {CH3C(O)OONO2, peroxyacyl nitrate}
+    PAR         = IGNORE ;      {parafin carbon bond}
+    ROR         = IGNORE ;      {secondary organic oxy radical}
+    OLE         = IGNORE ;      {olefinic carbon bond}
+    ETH         = 2C + 4H ;     {CH2=CH2 ethene}
+    TOL         = 7C + 8H ;     {C6H5-CH3 toluene}
+    CRES        = IGNORE ;      {cresol and h.m.w. phenols}
+    TO2         = IGNORE ;      {toluene-hydroxyl radical adduct}
+    CRO         = IGNORE ;      {methylphenoxy radical}
+    OPEN        = IGNORE ;      {h.m.w. aromatic oxidation ring fragment}
+    XYL         = 8C + 10H ;    {C6H4-(CH3)2 xylene}
+    MGLY        = 3C + 4H + 2O ; {CH3C(O)C(O)H methylglyoxal}
+    ISOP        = IGNORE ;      {isoprene}
+    XO2         = IGNORE ;      {NO-to-NO2 operation}
+    XO2N        = IGNORE ;      {NO-to-nitrate operation}          
+    CO          = C + O ;       {carbon monoxide}
+    HNO2        = H + N + 2O ;
+    ROOH        = IGNORE ;
+    SO2         = S + 2O ;
+    NH3         = N + 3H ;
+    CH3O2       = C + 3H + 2O ;
+    CH3O        = C + 3H + O ;
+    CH3OOH      = 4H + C + 2O ;
+    CH3OH       = 4H + C + O ;
+    HCOOH       = 2H + C + 2O ;
+
+
+HCHOaq = IGNORE ;
+HMSAaq = IGNORE ;
+OHMINaq  = IGNORE ;
+SO32MINaq  = IGNORE ;
+CH3O2aq = IGNORE ;
+O2MINaq = IGNORE ;
+O3aq = IGNORE ;
+HSO3MINaq = IGNORE ;
+SO42MINaq = IGNORE ;
+HPLUSaq = IGNORE ;
+H2O2aq  = IGNORE ;
+HO2aq  = IGNORE ;
+OHaq = IGNORE ;
+CH3O2Haq = IGNORE ;
+CUPLUSaq = IGNORE ;
+CU2PLUSaq = IGNORE ;
+FE2PLUSaq = IGNORE ;
+FE3PLUSaq = IGNORE ;
+HCOOHaq  = IGNORE ;
+HNO3aq = IGNORE ;
+NO3aq  = IGNORE ;
+HCOOMINaq  = IGNORE ;
+SO2aq  = IGNORE ;
+NH3aq = IGNORE ;
+NH4aq = IGNORE ;
+NO3MINaq = IGNORE ;
+HCO3MINaq = IGNORE ; 
+CO32MINUSaq = IGNORE ;
+H2CO3aq     = IGNORE ;
+
+
+#DEFFIX
+    H2O         = H + 2O ;      {water}
+    CO2aq       = C + 2O ;
+    H2Oaq       = H + 2O ;      {water}
+    H2          = 2H ;          {molecular hydrogen}
+    O2          = 2O ;          {molecular oxygen}
+    N2          = 2N ;          {molecular nitrogen}
+    CH4         = C + 4H ;      {methane}
+    CO2         = C + 2O ;      {carbon dioxide}
+    M           = IGNORE ;      {third body}
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/readme
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/readme	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/readme	(revision 2696)
@@ -0,0 +1,65 @@
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+  KPP - symbolic chemistry Kinetics PreProcessor, Version 2.1
+        (http://www.cs.vt.edu/~asandu/Software/KPP)
+  KPP is distributed under GPL, the general public licence
+        (http://www.gnu.org/copyleft/gpl.html)
+    (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
+    (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
+        with contributions from:
+        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
+
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+To get started with KPP:  Read user's manual (doc/kpp-UserManual.pdf)
+------------------------
+
+To install KPP:
+---------------
+
+1. Make sure that FLEX (public domain lexical analizer) is installed
+   on your machine. Type "flex --version" to test this.
+
+2. Note down the exact path name where the FLEX library is installed. The
+   library is called:
+	libfl.a or libfl.sh 
+
+3. Define the KPP_HOME environment variable to point to the complete 
+   path location of KPP. If, for example, KPP is installed in $HOME/kpp:
+
+   - with C shell (or tcsh) edit the file .cshrc (or .tcshrc) in your
+     home directory and add:
+	setenv KPP_HOME $HOME/kpp
+	set path=( $path $HOME/kpp/bin )
+     Execute 'source .cshrc' (or 'source .tcshrc') to make sure these
+     changes are in effect.
+
+   - with bash shell edit the file .bashrc in your home directory and add:
+	export KPP_HOME=$HOME/kpp
+	export PATH=$PATH:$HOME/kpp/bin
+
+3. In KPP_HOME directory edit: 
+	Makefile.defs 
+   and follow the instructions included to specify the compiler, 
+   the location of the FLEX library, etc.
+ 
+4. In KPP_HOME directory build the sources using:
+	make
+
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+To clean the KPP installation: 
+------------------------------
+
+1. Delete the KPP object files with:
+	make clean
+
+2. Delete the whole distribution (including the KPP binaries) with:
+	make distclean
+
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+If you have any problems please send the detailed error report and the machine
+environment to:
+
+	sandu@cs.vt.edu
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/site-lisp/kpp.el
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/site-lisp/kpp.el	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/site-lisp/kpp.el	(revision 2696)
@@ -0,0 +1,130 @@
+;; kpp.el --- kpp mode for GNU Emacs 21
+;; (c) Rolf Sander <sander@mpch-mainz.mpg.de>
+;; Time-stamp: <2005-02-15 15:18:42 sander>
+ 
+;; to activate it copy kpp.el to a place where emacs can find it and then
+;; add "(require 'kpp)" to your .emacs startup file
+
+;; known problem:
+;; ":" inside comments between reaction products confuses font-lock
+ 
+;; This program is free software; you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation; either version 2 of the License, or
+;; (at your option) any later version.
+;; This program is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; start kpp-mode automatically when loading a *.eqn, *.spc, or *.kpp file
+(setq auto-mode-alist
+  (cons '("\\.eqn\\'" . kpp-mode) auto-mode-alist))
+(setq auto-mode-alist
+  (cons '("\\.spc\\'" . kpp-mode) auto-mode-alist))
+(setq auto-mode-alist
+  (cons '("\\.kpp\\'" . kpp-mode) auto-mode-alist))
+
+(setq kpp-font-lock-keywords
+ (list
+  '("^\\([^=\n]*=[^:\n]*\\):[^;\n]*;" 1 font-lock-constant-face) ; reaction
+  ;; alternatively, use another color for rate constant:
+  ;; '("^\\([^=\n]*=[^:\n]*\\):\\([^;\n]*\\);"
+  ;;     (1 font-lock-constant-face) (2 font-lock-keyword-face))
+  '("<[A-z0-9_#]+>" 0 font-lock-variable-name-face t) ; equation tag
+  '("{[^}\n]*}"     0 font-lock-comment-face t)       ; comment
+  '("!.*"           0 font-lock-comment-face t)       ; f90 comment
+  '("{@[^}]+}"      0 font-lock-doc-face t)           ; alternative LaTeX text
+  '("{$[^}]+}"      0 font-lock-string-face t)        ; alternative LaTeX text
+  '("{&[^}]+}"      0 font-lock-builtin-face t)       ; BibTeX reference
+  '("{%[A-z0-9#]+}" 0 font-lock-type-face t)          ; marker
+  ;; KPP sections (Tab. 3 in thesis), commands (Tab. 13 in thesis), and
+  ;; fragments (Tab. 17 in thesis)
+  (cons (concat 
+         "\\(#ATOMS\\|#CHECKALL\\|#CHECK\\|#DEFFIX\\|#DEFRAD"
+         "\\|#DEFVAR\\|#DOUBLE\\|#DRIVER\\|#DUMMYINDEX"
+         "\\|#ENDINLINE\\|#EQNTAGS\\|#EQUATIONS\\|#FUNCTION"
+         "\\|#HESSIAN\\|#INCLUDE\\|#INITIALIZE"
+         "\\|#INITVALUES\\|#INLINE\\|#INTEGRATOR\\|#INTFILE"
+         "\\|#JACOBIAN\\|#LANGUAGE\\|#LOOKATALL"
+         "\\|#LOOKAT\\|#LUMP\\|#MEX\\|#MODEL\\|#MONITOR"
+         "\\|#REORDER\\|#RUN\\|#SETFIX\\|#SETRAD\\|#SETVAR"
+         "\\|#SPARSEDATA\\|#STOCHASTIC\\|#STOICMAT\\|#TRANSPORTALL"
+         "\\|#TRANSPORT\\|#USE\\|#USES\\|#WRITE_ATM"
+         "\\|#WRITE_MAT\\|#WRITE_OPT\\|#WRITE_SPC"
+         "\\|#XGRID\\|#YGRID\\|#ZGRID\\)"
+         ) 'font-lock-keyword-face)
+  '("^//.*"         0 font-lock-comment-face t) ; comment
+  )
+)
+
+; comment a region (adopted from wave-comment-region)
+
+(defvar kpp-comment-region "// "
+  "*String inserted by \\[kpp-comment-region] at start of each line in region.")
+
+(defun kpp-comment-region (beg-region end-region arg)
+  "Comments every line in the region.
+Puts kpp-comment-region at the beginning of every line in the region. 
+BEG-REGION and END-REGION are args which specify the region boundaries. 
+With non-nil ARG, uncomments the region."
+  (interactive "*r\nP")
+  (let ((end-region-mark (make-marker)) (save-point (point-marker)))
+    (set-marker end-region-mark end-region)
+    (goto-char beg-region)
+    (beginning-of-line)
+    (if (not arg)			;comment the region
+	(progn (insert kpp-comment-region)
+	       (while (and  (= (forward-line 1) 0)
+			    (< (point) end-region-mark))
+		 (insert kpp-comment-region)))
+      (let ((com (regexp-quote kpp-comment-region))) ;uncomment the region
+	(if (looking-at com)
+	    (delete-region (point) (match-end 0)))
+	(while (and  (= (forward-line 1) 0)
+		     (< (point) end-region-mark))
+	  (if (looking-at com)
+	      (delete-region (point) (match-end 0))))))
+    (goto-char save-point)
+    (set-marker end-region-mark nil)
+    (set-marker save-point nil)))
+
+(defvar kpp-mode-map () 
+  "Keymap used in kpp mode.")
+
+(if kpp-mode-map
+    ()
+  (setq kpp-mode-map (make-sparse-keymap))
+  (define-key kpp-mode-map "\C-c;"    'kpp-comment-region)
+  ;; TAB inserts 8 spaces, not the TAB character
+  (define-key kpp-mode-map (kbd "TAB")
+    '(lambda () (interactive) (insert "        ")))
+)
+
+(defun kpp-mode ()
+  "Major mode for editing kpp code.
+Turning on kpp mode calls the value of the variable `kpp-mode-hook'
+with no args, if that value is non-nil.
+
+Command Table:
+\\{kpp-mode-map}"
+  (interactive)
+  (make-local-variable 'font-lock-defaults)
+  (setq font-lock-defaults '((kpp-font-lock-keywords) t t))
+  (make-local-variable 'comment-start)
+  (setq comment-start "{")
+  (make-local-variable 'comment-end)
+  (setq comment-end "}")
+  (use-local-map kpp-mode-map)
+  (setq mode-name "kpp")
+  (setq major-mode 'kpp-mode)
+  (turn-on-font-lock)
+  (set-syntax-table (copy-syntax-table))
+  (modify-syntax-entry ?_ "w") ; the underscore can be part of a word
+  (auto-fill-mode 0)           ; no automatic line breaks
+  (run-hooks 'kpp-mode-hook)
+)
+
+(provide 'kpp)
+
+;; kpp.el ends here
